<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'vidgyor',

    /*
     * Package.
     */
    'package'   => 'schedule',

    /*
     * Modules.
     */
    'modules'   => ['schedule'],

    
    'schedule'       => [
        'model' => [
            'model'                 => \Vidgyor\Schedule\Models\Schedule::class,
            'table'                 => 'schedules',
            'presenter'             => \Vidgyor\Schedule\Repositories\Presenter\SchedulePresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'channel_id',  'name',  'videos',  'date',  'time',  'contents',  'position',  'duration',  'to_repeat',  'repeat_until',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'schedule/schedule',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Vidgyor',
            'package'   => 'Schedule',
            'module'    => 'Schedule',
        ],

    ],
];
