<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateSchedulesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: schedules
         */
        Schema::create('schedules', function ($table) {
            $table->increments('id');
            $table->integer('channel_id')->nullable();
            $table->string('name', 50)->nullable();
            $table->text('videos')->nullable();
            $table->date('date')->nullable();
            $table->time('time')->nullable();
            $table->enum('contents', ['Videos','Playlist','Live'])->nullable();
            $table->enum('position', ['Right Now','Next','Last'])->nullable();
            $table->text('duration')->nullable();
            $table->text('to_repeat')->nullable();
            $table->date('repeat_until')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('schedules');
    }
}
