<?php

namespace Vidgyor\Schedule;

use User;

class Schedule
{
    /**
     * $schedule object.
     */
    protected $schedule;

    /**
     * Constructor.
     */
    public function __construct(\Vidgyor\Schedule\Interfaces\ScheduleRepositoryInterface $schedule)
    {
        $this->schedule = $schedule;
    }

    /**
     * Returns count of schedule.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.schedule.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->schedule->pushCriteria(new \Litepie\Vidgyor\Repositories\Criteria\ScheduleUserCriteria());
        }

        $schedule = $this->schedule->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('schedule::' . $view, compact('schedule'))->render();
    }
}
